@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700;800;900&display=swap");

:root {
  --border-radius: 4px;
  --gap: 1.5rem;
  --font-weight-400: 400;
  --font-weight-500: 500;
  --font-weight-600: 600;
  --font-weight-700: 700;
  --primary-color: #222;
  --secondary-color: #fff;
  /* --tertiary-color: */
  /* --accent-color */

  /* Font Size Reset - UTOPIA FYI */

  --font-size--2: clamp(0.91rem, calc(0.89rem + 0.1vw), 0.96rem);
  --font-size--1: clamp(1.09rem, calc(1.05rem + 0.21vw), 1.2rem);
  --font-size-0: clamp(1.31rem, calc(1.24rem + 0.37vw), 1.5rem);
  --font-size-1: clamp(1.58rem, calc(1.46rem + 0.59vw), 1.88rem);
  --font-size-2: clamp(1.89rem, calc(1.71rem + 0.89vw), 2.34rem);
  --font-size-3: clamp(2.27rem, calc(2.01rem + 1.29vw), 2.93rem);
  --font-size-4: clamp(2.72rem, calc(2.36rem + 1.83vw), 3.66rem);
  --font-size-5: clamp(3.27rem, calc(2.75rem + 2.56vw), 4.58rem);
}

/* width */
::-webkit-scrollbar {
  width: 8px;
}

/* Track */
::-webkit-scrollbar-track {
  background: inherit;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 12px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  line-height: calc(1em + 0.5rem);
}

html {
  scroll-behavior: smooth;
  font-size: 62.5%;
}
html[data-theme="light"] {
  --color: #222;
  --background-color: #d1d1d1;
}
html[data-theme="dark"] {
  --color: #eee;
  --background-color: #111;
}
html,
body {
  text-rendering: optimizeSpeed;
  image-rendering: optimizeSpeed;
}

body {
  -webkit-font-smoothing: antialiased;
  font-family: "Poppins", sans-serif;
  background-color: var(--background-color);
  color: var(--color);
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
}

input,
button,
textarea,
select {
  font: inherit;
  color: inherit;
}

li {
  list-style: none;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
  color: inherit;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
  color: inherit;
}

h1 {
  font-size: var(--font-size-3);
}
h2 {
  font-size: var(--font-size-2);
}
h3 {
  font-size: var(--font-size-1);
}
h4 {
  font-size: var(--font-size-0);
}

a,
span,
p,
input,
textarea,
button,
select {
  font-size: var(--font-size-0);
}
#root,
#__next {
  isolation: isolate;
}
